import request from '@/utils/request'

// 查询告警方式设置列表
export function listAlarm(query) {
  return request({
    url: '/assets/alarm/list',
    method: 'get',
    params: query
  })
}

// 查询告警方式设置详细
export function getAlarm(id) {
  return request({
    url: '/assets/alarm/' + id,
    method: 'get'
  })
}

// 新增告警方式设置
export function addAlarm(data) {
  return request({
    url: '/assets/alarm',
    method: 'post',
    data: data
  })
}

// 修改告警方式设置
export function updateAlarm(data) {
  return request({
    url: '/assets/alarm',
    method: 'put',
    data: data
  })
}

// 删除告警方式设置
export function delAlarm(id) {
  return request({
    url: '/assets/alarm/' + id,
    method: 'delete'
  })
}
